"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeTabTree = void 0;
const react_1 = __importStar(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const ui_foundation_ui_tree_file_tree_1 = require("@teambit/ui-foundation.ui.tree.file-tree");
const ui_foundation_ui_tree_drawer_1 = require("@teambit/ui-foundation.ui.tree.drawer");
const code_ui_dependency_tree_1 = require("@teambit/code.ui.dependency-tree");
const code_tab_tree_module_scss_1 = __importDefault(require("./code-tab-tree.module.scss"));
function CodeTabTree({ className, fileTree, dependencies, currentFile = '', widgets, getHref, getIcon, }) {
    const [openDrawerList, onToggleDrawer] = (0, react_1.useState)(['FILES']);
    const handleDrawerToggle = (id) => {
        const isDrawerOpen = openDrawerList.includes(id);
        if (isDrawerOpen) {
            onToggleDrawer((list) => list.filter((drawer) => drawer !== id));
            return;
        }
        onToggleDrawer((list) => list.concat(id));
    };
    return (react_1.default.createElement("div", { className: (0, classnames_1.default)(code_tab_tree_module_scss_1.default.codeTabTree, className) },
        react_1.default.createElement(ui_foundation_ui_tree_drawer_1.DrawerUI, { isOpen: openDrawerList.includes('FILES'), onToggle: () => handleDrawerToggle('FILES'), name: "FILES", contentClass: code_tab_tree_module_scss_1.default.codeDrawerContent, className: (0, classnames_1.default)(code_tab_tree_module_scss_1.default.codeTabDrawer) },
            react_1.default.createElement(ui_foundation_ui_tree_file_tree_1.FileTree, { files: fileTree || [''], widgets: widgets, getHref: getHref, getIcon: getIcon, selected: currentFile })),
        react_1.default.createElement(ui_foundation_ui_tree_drawer_1.DrawerUI, { isOpen: openDrawerList.includes('DEPENDENCIES'), onToggle: () => handleDrawerToggle('DEPENDENCIES'), className: (0, classnames_1.default)(code_tab_tree_module_scss_1.default.codeTabDrawer), contentClass: code_tab_tree_module_scss_1.default.codeDrawerContent, name: "DEPENDENCIES" },
            react_1.default.createElement(code_ui_dependency_tree_1.DependencyTree, { dependenciesArray: dependencies }))));
}
exports.CodeTabTree = CodeTabTree;
//# sourceMappingURL=code-tab-tree.js.map